<?php

/*
|--------------------------------------------------------------------------
| Validation Language Lines
|--------------------------------------------------------------------------
|
| The following language lines contain the default error messages used by
| the validator class. Some of these rules have multiple versions such
| as the size rules. Feel free to tweak each of these messages here.
|
*/

return [
    'accepted' => 'Trường :attribute phải được chấp nhận.',
    'accepted_if' => 'Trường :attribute phải được chấp nhận khi :other là :value.',
    'active_url' => 'Trường :attribute không phải là một URL hợp lệ.',
    'after' => 'Trường :attribute phải là một ngày sau ngày :date.',
    'after_or_equal' => 'Trường :attribute phải là thời gian bắt đầu sau hoặc đúng bằng :date.',
    'alpha' => 'Trường :attribute chỉ có thể chứa các chữ cái.',
    'alpha_dash' => 'Trường :attribute chỉ có thể chứa chữ cái, số và dấu gạch ngang.',
    'alpha_num' => 'Trường :attribute chỉ có thể chứa chữ cái và số.',
    'array' => 'Trường :attribute phải là dạng mảng.',
    'attached' => 'Trường :attribute đã được đính kèm.',
    'before' => 'Trường :attribute phải là một ngày trước ngày :date.',
    'before_or_equal' => 'Trường :attribute phải là thời gian bắt đầu trước hoặc đúng bằng :date.',
    'between' => [
        'array' => 'Trường :attribute phải có từ :min - :max phần tử.',
        'file' => 'Dung lượng tập tin trong trường :attribute phải từ :min - :max kB.',
        'numeric' => 'Trường :attribute phải nằm trong khoảng :min - :max.',
        'string' => 'Trường :attribute phải từ :min - :max kí tự.',
    ],
    'boolean' => 'Trường :attribute phải là true hoặc false.',
    'confirmed' => 'Giá trị xác nhận trong trường :attribute không khớp.',
    'current_password' => 'Mật khẩu không đúng.',
    'date' => 'Trường :attribute không phải là định dạng của ngày-tháng.',
    'date_equals' => 'Trường :attribute phải là một ngày bằng với :date.',
    'date_format' => 'Trường :attribute không giống với định dạng :format.',
    'different' => 'Trường :attribute và :other phải khác nhau.',
    'digits' => 'Độ dài của trường :attribute phải gồm :digits chữ số.',
    'digits_between' => 'Độ dài của trường :attribute phải nằm trong khoảng :min and :max chữ số.',
    'dimensions' => 'Trường :attribute có kích thước không hợp lệ.',
    'distinct' => 'Trường :attribute có giá trị trùng lặp.',
    'email' => 'Trường :attribute phải là một địa chỉ email hợp lệ.',
    'ends_with' => 'Trường :attribute phải kết thúc bằng một trong những giá trị sau: :values',
    'exists' => 'Giá trị đã chọn trong trường :attribute không hợp lệ.',
    'file' => 'Trường :attribute phải là một tệp tin.',
    'filled' => 'Trường :attribute không được bỏ trống.',
    'gt' => [
        'array' => 'Mảng :attribute phải có nhiều hơn :value phần tử.',
        'file' => 'Dung lượng trường :attribute phải lớn hơn :value kilobytes.',
        'numeric' => 'Giá trị trường :attribute phải lớn hơn :value.',
        'string' => 'Độ dài trường :attribute phải nhiều hơn :value kí tự.',
    ],
    'gte' => [
        'array' => 'Mảng :attribute phải có ít nhất :value phần tử.',
        'file' => 'Dung lượng trường :attribute phải lớn hơn hoặc bằng :value kilobytes.',
        'numeric' => 'Giá trị trường :attribute phải lớn hơn hoặc bằng :value.',
        'string' => 'Độ dài trường :attribute phải lớn hơn hoặc bằng :value kí tự.',
    ],
    'image' => 'Trường :attribute phải là định dạng hình ảnh.',
    'in' => 'Giá trị đã chọn trong trường :attribute không hợp lệ.',
    'in_array' => 'Trường :attribute phải thuộc tập cho phép: :other.',
    'integer' => 'Trường :attribute phải là một số nguyên.',
    'ip' => 'Trường :attribute phải là một địa chỉ IP.',
    'ipv4' => 'Trường :attribute phải là một địa chỉ IPv4.',
    'ipv6' => 'Trường :attribute phải là một địa chỉ IPv6.',
    'json' => 'Trường :attribute phải là một chuỗi JSON.',
    'lt' => [
        'array' => 'Mảng :attribute phải có ít hơn :value phần tử.',
        'file' => 'Dung lượng trường :attribute phải nhỏ hơn :value kilobytes.',
        'numeric' => 'Giá trị trường :attribute phải nhỏ hơn :value.',
        'string' => 'Độ dài trường :attribute phải nhỏ hơn :value kí tự.',
    ],
    'lte' => [
        'array' => 'Mảng :attribute không được có nhiều hơn :value phần tử.',
        'file' => 'Dung lượng trường :attribute phải nhỏ hơn hoặc bằng :value kilobytes.',
        'numeric' => 'Giá trị trường :attribute phải nhỏ hơn hoặc bằng :value.',
        'string' => 'Độ dài trường :attribute phải nhỏ hơn hoặc bằng :value kí tự.',
    ],
    'max' => [
        'array' => 'Trường :attribute không được lớn hơn :max phần tử.',
        'file' => 'Dung lượng tập tin trong trường :attribute không được lớn hơn :max kB.',
        'numeric' => 'Trường :attribute không được lớn hơn :max.',
        'string' => 'Trường :attribute không được lớn hơn :max kí tự.',
    ],
    'mimes' => 'Trường :attribute phải là một tập tin có định dạng: :values.',
    'mimetypes' => 'Trường :attribute phải là một tập tin có định dạng: :values.',
    'min' => [
        'array' => 'Trường :attribute phải có tối thiểu :min phần tử.',
        'file' => 'Dung lượng tập tin trong trường :attribute phải tối thiểu :min kB.',
        'numeric' => 'Trường :attribute phải tối thiểu là :min.',
        'string' => 'Trường :attribute phải có tối thiểu :min kí tự.',
    ],
    'multiple_of' => 'Trường :attribute phải là bội số của :value',
    'not_in' => 'Giá trị đã chọn trong trường :attribute không hợp lệ.',
    'not_regex' => 'Trường :attribute có định dạng không hợp lệ.',
    'numeric' => 'Trường :attribute phải là một số.',
    'password' => 'Mật khẩu không đúng.',
    'present' => 'Trường :attribute phải được cung cấp.',
    'prohibited' => 'Trường :attribute bị cấm.',
    'prohibited_if' => 'Trường :attribute bị cấm khi :other là :value.',
    'prohibited_unless' => 'Trường :attribute bị cấm trừ khi :other là một trong :values.',
    'regex' => 'Trường :attribute có định dạng không hợp lệ.',
    'relatable' => 'Trường :attribute không thể liên kết với tài nguyên này.',
    'required' => 'Trường :attribute không được bỏ trống.',
    'required_if' => 'Trường :attribute không được bỏ trống khi trường :other là :value.',
    'required_unless' => 'Trường :attribute không được bỏ trống trừ khi :other là :values.',
    'required_with' => 'Trường :attribute không được bỏ trống khi một trong :values có giá trị.',
    'required_with_all' => 'Trường :attribute không được bỏ trống khi tất cả :values có giá trị.',
    'required_without' => 'Trường :attribute không được bỏ trống khi một trong :values không có giá trị.',
    'required_without_all' => 'Trường :attribute không được bỏ trống khi tất cả :values không có giá trị.',
    'same' => 'Trường :attribute và :other phải giống nhau.',
    'size' => [
        'array' => 'Trường :attribute phải chứa :size phần tử.',
        'file' => 'Dung lượng tập tin trong trường :attribute phải bằng :size kB.',
        'numeric' => 'Trường :attribute phải bằng :size.',
        'string' => 'Trường :attribute phải chứa :size kí tự.',
    ],
    'starts_with' => 'Trường :attribute phải được bắt đầu bằng một trong những giá trị sau: :values',
    'string' => 'Trường :attribute phải là một chuỗi kí tự.',
    'timezone' => 'Trường :attribute phải là một múi giờ hợp lệ.',
    'unique' => 'Trường :attribute đã có trong cơ sở dữ liệu.',
    'uploaded' => 'Trường :attribute tải lên thất bại.',
    'url' => 'Trường :attribute không giống với định dạng một URL.',
    'uuid' => 'Trường :attribute phải là một chuỗi UUID hợp lệ.',
    'custom' => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
    ],
    'attributes' => [
        'address' => 'địa chỉ',
        'age' => 'tuổi',
        'available' => 'có sẵn',
        'body' => 'nội dung',
        'city' => 'thành phố',
        'content' => 'nội dung',
        'country' => 'quốc gia',
        'date' => 'ngày',
        'day' => 'ngày',
        'description' => 'mô tả',
        'email' => 'email',
        'excerpt' => 'trích dẫn',
        'first_name' => 'tên',
        'gender' => 'giới tính',
        'hour' => 'giờ',
        'last_name' => 'họ',
        'message' => 'lời nhắn',
        'minute' => 'phút',
        'mobile' => 'di động',
        'month' => 'tháng',
        'name' => 'tên',
        'password' => 'mật khẩu',
        'password_confirmation' => 'xác nhận mật khẩu',
        'phone' => 'số điện thoại',
        'second' => 'giây',
        'sex' => 'giới tính',
        'size' => 'kích thước',
        'subject' => 'tiêu đề',
        'time' => 'thời gian',
        'title' => 'tiêu đề',
        'username' => 'tên đăng nhập',
        'year' => 'năm',
        'schedules' => 'lịch học',
        'shift' => 'ca học',
        'teacher_id' => 'giáo viên',
        'supporter_id' => 'trợ giảng',
        'room' => 'phòng học',
        'card_ids' => 'danh sách thẻ học',
        'card_id' => 'thẻ học',
        'start_time' => 'thời gian bắt đầu',
        'end_time' => 'thời gian kết thúc',
        'staff_id' => 'Nhân viên',
        'schedules.*.start_time' => 'thời gian bắt đầu',
        'schedules.*.end_time' => 'thời gian kết thúc',
        'schedules.*.shifts.*.start_time' => 'thời gian bắt đầu',
        'schedules.*.shifts.*.end_time' => 'thời gian kết thúc',
        'schedules.*.shifts.*.teacher_id' => 'giáo viên',
        'schedules.*.shifts.*.supporter_id' => 'trợ giảng',
        'schedules.*.shifts.*.room' => 'phòng học',
        'shifts.*.teacher_timestamp' => 'Ảnh chấm ca GV',
        'shifts.*.supporter_timestamp' => 'Ảnh chấm ca TA',
        'shifts.*.start_time' => 'Thời gian bắt đầu',
        'shifts.*.end_time' => 'Thời gian kết thúc ',
        'shifts.*.teacher_id' => 'Giáo viên',
        'shifts.*.supporter_id' => 'Trợ giảng',
        'van' => 'Số buổi trước khi sử dụng BSM',
        'van_date' => 'Ngày chốt điểm danh ở hệ thống cũ',
        'drive_link' => 'Link PDF đơn đăng ký',
        'commitment' => 'Cam kết đầu ra',
        'original_days' => 'Số buổi đăng ký gốc',
        'bonus_days' => 'Số buổi tặng thêm',
        'bonus_reason' => 'Lý do tặng',
        'original_fee' => 'Học phí gốc',
        'promotion_fee' => 'Học phí ưu đãi',
        'fee_reason' => 'Lý do ưu đãi',
        'payment_plant' => 'Kế hoạch thanh toán',
        'paid_fee' => 'Số tiền thực tế đã thanh toán',
        'sheet_detail.*.criteria_rate' => 'giá trị',
        'account_name' => 'Tên khách hàng',
        'account_relation' => 'Mối quan hệ KH',
        'account_source' => 'Nguồn khách hàng',
        'account_type' => 'Nhóm khách hàng',
        'relation_name' => 'Tên mối quan hệ',
        'color' => 'Màu',
        'start_code' => 'Mã khởi tạo',
        "old_password"=> "mật khẩu cũ",
        "avatar"=> "ảnh đại diện",
        'cards.original_days' => 'Số buổi đăng ký gốc',
        'cards.original_fee' => 'Học phí gốc',
        "shifts.teacher_id" => 'Giáo viên',
        "shifts.supporter_id" => 'Trợ giảng',
    ],
];
